Bug Hunting Session
Bug 42075 - Add a scan-button to the "select scanner"-dialog
Summary: Add a scan-button to the "select scanner"-dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All Windows (All)
: medium enhancement
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.3.0
Keywords: difficultyInteresting, easyHack, skillCpp
Depends on:
Blocks: Dialog Scanning
  Show dependency treegraph
 
Reported: 2011-10-20 12:15 UTC by Rob Snelders
Modified: 2018-12-30 11:34 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rob Snelders 2011-10-20 12:15:20 UTC
I have added a scan-button to the unix-"select scanner"-dialog.
This still needs to be done for windows. Most of the work is done. What needs to be done:

- add a button to the windows-dialog (extensions/source/scanner/grid.*).
- change extensions/source/scanner/scanwin.cxx so it can handle scanning when the button is pressed.

You can look to the implementation in the unix-classes how it is done there. Please remember that the 2nd parameter of configureScannerAndScan isn't always initialized.
Comment 1 Mas 2012-09-13 10:04:13 UTC
Rob, 

Is this regarding Libreoffice? If so what version are you using? Can you please provide us the steps to duplicate the issue?

We will need to know your OS Version .
Comment 2 Michael Meeks 2012-09-14 16:30:09 UTC
A windows specific easy hack I guess; poke at this commit to see things work around there I guess.

commit 638804f7e2c26047da15af26dfb8eb35b9ee0feb
Author: Rob Snelders <programming@ertai.nl>
Date:   Thu Oct 20 21:25:46 2011 +0200

    Added a scanbutton to the scan-dialog
Comment 3 Rob Snelders 2012-09-14 17:10:38 UTC
Yes Michael that's correct.

I added a scan-button to the scan-settings-dialog in Linux. But I don't have windows so I can't implement it there. This bug describes that one there is also needed.
Comment 4 Björn Michaelsen 2013-10-04 18:48:09 UTC
adding LibreOffice developer list as CC to unresolved EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 5 Robinson Tryon (qubit) 2013-10-19 01:01:51 UTC Comment hidden (obsolete)
Comment 6 Robinson Tryon (qubit) 2015-12-14 05:03:44 UTC Comment hidden (obsolete)
Comment 7 Robinson Tryon (qubit) 2016-02-18 14:52:38 UTC Comment hidden (obsolete)
Comment 8 Mike Kaganski 2018-12-30 10:06:29 UTC
https://gerrit.libreoffice.org/65736
Comment 9 Mike Kaganski 2018-12-30 10:20:00 UTC
On Windows, we use dialogs provided by system TWAIN DSM. We can't add
a "Scan" button to the "Select source" dialog; but it's reasonable to
assume that user would select a scanner to scan, so let's proceed to
scan when user confirms selection in the dialog.
Comment 10 Commit Notification 2018-12-30 11:34:22 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/485d2df7d574f721adfe887433a79d8ae98becda%5E%21

tdf#42075: Perform scan after selecting a scanner on Windows

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.